Version 4.0.26.12 (latest)
Search Reports
Returns an array of Report objects that match the specified search criteria.
If multiple search params are given and filter_or is FALSE or not specified,
search params are combined in a logical AND operation.
Only rows that match all search param criteria will be returned.
If filter_or is TRUE, multiple search params are combined in a logical OR operation.
Results will include rows that match any of the search criteria.
String search params use case-insensitive matching.
String search params can contain % and '_' as SQL LIKE pattern match wildcard expressions.
example="dan%" will match "danger" and "Danzig" but not "David"
example="D_m%" will match "Damage" and "dump"
Integer search params can accept a single value or a comma separated list of values. The multiple
values will be combined under a logical OR operation - results will match at least one of
the given values.
Most search params can accept "IS NULL" and "NOT NULL" as special expressions to match
or exclude (respectively) rows where the column is null.
Boolean search params accept only "true" and "false" as values.
Request
GET
/reports/search
Expand HTTP Query definition...
folder_id
string
Select reports in a particular folder.
favorite
boolean
Select favorite reports.
recent
boolean
Select reports viewed recently.
id
string
Match report id.
title
string
Match report title.
sorts
string
One or more fields to sort results by.
limit
integer
Number of results to return.(used with next_page_token)
fields
string
Comma delimited list of field names. If provided, only the fields specified will be included in the response.
next_page_token
string
Contains a token that can be used to return up to Number of results to return.(used with next_page_token) additional results. A next_page_token will not be returned if there are no additional results to display.
Response
200: returns a list of reports.
can
lock
object
Operations the current user is able to perform on this object
id
string
ID of the report
title
string
Title of the report
user_id
string
User Id of the owner of the report
created_at
lock
string
Created at
updated_at
lock
string
Modified at
last_viewed_at
lock
string
Last viewed at
favorite
boolean
Is favorite report
favorite_count
lock
integer
Favorite count
view_count
lock
integer
View count
folder
lock
folder where the report is stored
Expand FolderBase definition...
parent_id
string
Id of Parent. If the parent id is null, this is a root-level entry
content_metadata_id
lock
string
Id of content metadata
created_at
lock
string
Time the folder was created
creator_id
lock
string
User Id of Creator
child_count
lock
integer
Children Count
external_id
lock
string
Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login
is_embed
lock
boolean
Folder is an embed folder
is_embed_shared_root
lock
boolean
Folder is the root embed shared folder
is_embed_users_root
lock
boolean
Folder is the root embed users folder
is_personal
lock
boolean
Folder is a user's personal folder
is_personal_descendant
lock
boolean
Folder is descendant of a user's personal folder
is_shared_root
lock
boolean
Folder is the root shared folder
is_users_root
lock
boolean
Folder is the root user folder
can
lock
object
Operations the current user is able to perform on this object
folder_id
string
Id of the folder where the report is stored
url
lock
string
Relative URL of the report
user_name
lock
string
Name of User that created the Studio Report.
deleted_at
lock
string
Deleted at
last_accessed_at
lock
string
Last Accessed at
deleter_user_id
lock
string
User Id of the deleter of the report
deleter_user_name
lock
string
Name of User that deleted the Report.
schedule_count
lock
integer
Count of schedules on the report.
400: Bad Request
message
lock
string
Error details
documentation_url
lock
string
Documentation link
404: Not Found
message
lock
string
Error details
documentation_url
lock
string
Documentation link
429: Too Many Requests
message
lock
string
Error details
documentation_url
lock
string
Documentation link